<?php
/**
 * $Horde: whups/ticket/deleteAttachment.php,v 1.4 2007/06/27 17:24:18 jan Exp $
 *
 * Copyright 2001-2007 Robert E. Coyle <robertecoyle@hotmail.com>
 *
 * See the enclosed file LICENSE for license information (BSD). If you
 * did not receive this file, see http://www.horde.org/licenses/bsdl.php.
 */

@define('WHUPS_BASE', dirname(__FILE__) . '/..');
require_once WHUPS_BASE . '/lib/base.php';
require_once WHUPS_BASE . '/lib/Ticket.php';
require_once 'Horde/Variables.php';

if (!Auth::isAdmin('whups:admin')) {
    $notification->push(_("Permission Denied"), 'horde.error');
    header('Location: ' . Horde::applicationUrl($prefs->getValue('whups_default_view') . '.php', true));
    exit;
}

$ticket = Whups::getCurrentTicket();
$file = basename(Util::getFormData('file'));
$ticket->change('delete-attachment', $file);
$result = $ticket->commit();
if (is_a($result, 'PEAR_Error')) {
    $notification->push($result, 'horde.error');
} else {
    $notification->push(sprintf(_("Attachment %s deleted."), $file), 'horde.success');
}

if ($url = Util::getFormData('url')) {
    header('Location: ' . $url);
} else {
    header('Location: ' . Horde::applicationUrl($prefs->getValue('whups_default_view') . '.php', true));
}
